program HepatitisCRegistry;

uses
  Forms,
  HepC in 'HepC.pas' {frmHepC},
  LocRegPatRep in 'LocRegPatRep.pas' {dlgLocRegPatRep},
  HepCLibrary in 'HepCLibrary.pas',
  ManPatEdit in 'ManPatEdit.pas' {dlgManPatEdit},
  ManPatActive in 'ManPatActive.pas' {dlgManPatActive},
  ManIDrug in 'ManIDrug.pas' {dlgManIDrug},
  Report in 'Report.pas' {dlgReport},
  PatientSearch in 'PatientSearch.pas' {dlgPatientSearch},
  VA_AboutDlg in 'VA_AboutDlg.pas' {AboutDlg},
  RegistryInfo in 'RegistryInfo.pas' {dlgRegInfo},
  HepCSplash in 'HepCSplash.pas' {HepSplash},
  Wait in 'Wait.pas' {dlgWait},
  ActivityLog in 'ActivityLog.pas' {dlgLog},
  DisplayLog in 'DisplayLog.pas' {dlgDisplayLog},
  PtSelect in 'PtSelect.pas' {frmPtSelect},
  DrugActivityDates in 'DrugActivityDates.pas' {dlgDrugDates},
  DrugReport in 'DrugReport.pas' {dlgDrugReport},
  MessageBox in 'MessageBox.pas' {dlgMessage},
  HepCCommon in 'HepCCommon.pas',
  dlgReportStatus in 'dlgReportStatus.pas' {RepStatusDlg};

{$R *.RES}
{$R HEPCBMPS.RES}

begin
  Application.Initialize;
  Application.Title := 'Hepatitis C Local Registry';
  Application.HelpFile := 'HEPC HELPFILE.HLP';
  Application.CreateForm(THepSplash, HepSplash);
  HepSplash.OpenSplash(2000);
  Application.CreateForm(TfrmHepC, frmHepC);
  //Application.CreateForm(TdlgLocRegPatRep, dlgLocRegPatRep);
  //Application.CreateForm(TdlgManPatEdit, dlgManPatEdit);
  //Application.CreateForm(TdlgManPatActive, dlgManPatActive);
  //Application.CreateForm(TdlgManIDrug, dlgManIDrug);
  //Application.CreateForm(TdlgReport, dlgReport);
  Application.CreateForm(TdlgPatientSearch, dlgPatientSearch);
  //Application.CreateForm(TAboutDlg, AboutDlg);
  //Application.CreateForm(TdlgRegInfo, dlgRegInfo);
  //Application.CreateForm(TdlgLog, dlgLog);
  Application.CreateForm(TdlgWait, dlgWait);
  //Application.CreateForm(TdlgDisplayLog, dlgDisplayLog);
  Application.CreateForm(TfrmPtSelect, frmPtSelect);
  //Application.CreateForm(TdlgDrugDates, dlgDrugDates);
  //Application.CreateForm(TdlgDrugReport, dlgDrugReport);
  //Application.CreateForm(TRepStatusDlg, RepStatusDlg);
  Application.Run;
end.
