unit RegistryInfo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, TRpcB, MFunStr, jpeg, ComCtrls;

type
  TdlgRegInfo = class(TForm)
    btnOK: TButton;
    pnlMain: TPanel;
    Bevel1: TBevel;
    Image1: TImage;
    lblName: TLabel;
    lblDescription: TLabel;
    lblUpdate: TLabel;
    lblExtract: TLabel;
    edtName: TEdit;
    edtDescription: TEdit;
    edtUpdate: TEdit;
    edtExtract: TEdit;
    lblPatCount: TLabel;
    edtPatCount: TEdit;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure setRegistryName(Name:String);
    procedure setDescription(Desc:String);
    procedure setLastUpdate(Updated:String);
    procedure setLastExtract(Extracted:String);
    procedure setPatCount(Count:String);
  end;

var
  dlgRegInfo: TdlgRegInfo;

implementation

{$R *.DFM}

uses HepC, HepCLibrary;

procedure TdlgRegInfo.setRegistryName(Name:String);
begin
  edtName.Text:=Name;
end;

procedure TdlgRegInfo.setDescription(Desc:String);
begin
  edtDescription.Text:=Desc;
end;

procedure TdlgRegInfo.setLastUpdate(Updated:String);
begin
  edtUpdate.Text:=Updated;
end;

procedure TdlgRegInfo.setLastExtract(Extracted:String);
begin
  edtExtract.Text:=Extracted;
end;

procedure TdlgRegInfo.setPatCount(Count:String);
begin
  edtPatCount.Text:=Count;
end;

procedure TdlgRegInfo.FormShow(Sender: TObject);
var
  PatCount:String;
begin
  CallRPCGetParams(frmHepC.RPC,LastUpdate,LastExtract,PatCount);
  setRegistryName(RegistryName);
  setDescription(RegistryDescription);
  setLastUpdate(LastUpdate);
  setLastExtract(LastExtract);
  setPatCount(PatCount);
end;

end.
