unit dlgReportStatus;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Buttons, TRpcB, MFunStr, HepCLibrary;

type
  TRepStatusDlg = class(TForm)
    pnlStatus: TPanel;
    Animate1: TAnimate;
    Label1: TLabel;
    edtStatus: TEdit;
    Label2: TLabel;
    edtTaskID: TEdit;
    btnAbort: TButton;
    procedure btnAbortClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  RepStatusDlg: TRepStatusDlg;

implementation

uses LocRegPatRep, HepC;

{$R *.DFM}

procedure TRepStatusDlg.btnAbortClick(Sender: TObject);
begin
  with frmHepC.RPC do
  begin
    RemoteProcedure:='ROR CLEAR RPC HANDLE';
    Param[0].PType:=Literal;
    Param[0].Value:=RegistryName;
    Param[1].PType:=Literal;
    Param[1].Value:='18';
    try Call;
      if Results.Count>0 then
      begin
        if Piece(Results[0],'^',1)='-1' then displayError('Broker Error: '+Piece(Results[0],'^',2),mtError);
      end
      else displayError('Broker Error: Failed to abort report process',mtError);
    except on EBrokerError do displayError('Broker Error: Failed to abort report process',mtError);
    end;
  end;
end;

end.
